/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <qapplication.h>
#include <dbsdglobal.h>
#include <dbsdqmimeiconloader.h>
#include "frminstallationwizard.h"

int main(int argc, char ** argv)
{
	QApplication a(argc, argv);
	
	DBSDQMimeIconLoader  iconLoader;
	DBSDGlobal::setIconLoader(&iconLoader);
	
	FrmInstallationWizard w;
	for(int i = 0; i < a.argc(); ++i)
		if(!strcmp(a.argv()[i], "-l"))
			w.setLiveSystem(true);

	w.show();
	a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));
	return a.exec();
}
